#ifndef	_CLIENT_H_
#define	_CLIENT_H_

#include "coc.h"

typedef struct {
  int fd, port;
  CocVar *varList;
  Str_Buf *cmdbuf; /* for sending command */
  Str_Buf *resbuf; /* for response */
  char host[64];
  char magic[32];
  char startcmd[512];
} CocConn;

int CocInitClient(CocConn *conn, char *host, int port, char *magic, int bufsize, char *startcmd);
int CocSendMagic(CocConn *conn, char *magic);
int CocCmd(CocConn *conn, const char *rwList);
void CocCloseClient(CocConn *conn);

#endif /* _CLIENT_H_ */
